Routes

Get collection status

GEThttps://api.insurely.com/pension-collection/status/{collectionId}

Returns the current status of an initiated collection of pension data. The value of status will be one of the following: `RUNNING`, `LOGIN`, `COLLECTING`, `COMPLETED PARTIAL`, `COMPLETED`, `COMPLETED EMPTY`, `CONTACT FORM PENDING`, `WAITING FOR AUTHENTICATION`, `FAILED`, `KYC FORM`, `CONTACT FORM`, `CUSTOMER ENROLLMENT REQUIRED`, `AUTHENTICATION CANCELLED`, `AUTHENTICATION CONFLICT` or `AUTHENTICATION MISMATCH`.The returned object will potentially have an imageValue and a token. The token is a mobile BankID autostart token to be sent to the user, and the image is a base64 encoded QR-code to be scanned by the user in their mobile BankID app. This will need to be rendered by the API user.

Request

Path Parameters

collectionIdstring

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2022-09-26.

Responses

Status successfully fetched.

Body

collectionItemsArray<CollectionItem>
externalUserUuidstring

The UUID of the external user this collection belongs to, when it is linked to one (null otherwise). Can be used to build a Hub deep-link of the form /collections/user/{externalUserUuid}.

A key-value map containing potential extra information, depending on the company the collection is getting data from.

idstring

The collection ID of the request

insuranceCompanystring

Insurance company that this collection is from

pollingIntervalinteger[int32]

The recommended interval in milliseconds at which to poll the /status endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by pollingTimeout to ensure that the collection is not terminated.

pollingTimeoutstring[date-time]

The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.

statusstring

Current status of the collection request. Possible values are: RUNNING, LOGIN,CONTACT FORM PENDING, COLLECTING, COMPLETED, COMPLETED PARTIAL, COMPLETED EMPTY, FAILED, FAILED PDF PARSE, FAILED PDF USER INPUT WAITING FOR AUTHENTICATION, INCORRECT CREDENTIALS, KYC FORM, CUSTOMER ENROLLMENT REQUIRED, CONTACT FORM, AUTHENTICATION CONFLICT, AUTHENTICATION MISMATCH, TWO FACTOR PENDING.

cURL
curl https://api.insurely.com/pension-collection/status/{collectionId} \
  -H "authorization-token: <authorization-token>"